#
# spec file for package SpyKer (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         SpyKer
Copyright:    2000-2001 LynuxWorks, Inc.
Group:        Development/Tools
Version:      1.1
Release:      15
Summary:      A dynamically instrumented kernel trace analyzer
URL:          http://spyker.lynuxworks.com
Source:       %{name}-%{version}.tar.gz
NoSource: 0
Patch: %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build
Requires: jre1.3.x

%description
SpyKer enables system and application developers to visualize the execution of tasks, user events, and kernel events over time.  This capability allows developers to find application bugs that are difficult to locate and provides developers information that can be used to tune the performance of their system or application.  It can be used to solve network, database or embedded system problems.  A major differentiator of SpyKer is that it does not require a pre-instrumented kernel.  The SpyKer trace driver dynamically inserts trace points at run-time and saves trace data to memory or files.  A capture screen allows users to configure buffer size and location with start and stop point selection.  SpyKer uses a Java(tm) based GUI to display trace data in different colors to highlight events.  Info, zoom, search, measure tools are provided to analyze captured data. Contact Lynuxworks at http://www.lynuxworks.com/suse_spyker_eval to receive a demo license key or purchase this innovative trace tool.

Authors:
--------
    LynuxWorks, Inc. 
    

%prep
%setup
%patch

%build

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT install

%preun
# should remove SpyKer module
rm -f usr/lib/spyker/spykerkey.txt
rm -f dev/spyker*
rm -rf usr/lib/spyker/spykertarget

%clean
rm -rf docs

%files
%doc docs README.first license.txt *.pdf
/usr/lib/spyker

%changelog -n SpyKer
* Thu Sep 20 2001 - uli@suse.de
- initial package, x86 only
